
Figure - Bug #113946
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】恢复出厂设置功能无效
2022-11-14 17:21 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-14

Priority: Urgent Due date: 2022-11-21

Assignee: CD TEST-方永红 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V4.0_20221128

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211120244

Resolution: FIXED Degrated: --

Severity: Critical Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211190335

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 恢复出厂设置，依赖recovery模式。��根据需求已经将recovery禁用。

Description

【前提条件】

1、设备已开机

2、push一些数据到设备中

【测试步骤】

1、设置-系统-重置选项

2、点击恢复出厂设置-确认

【预期结果】

2、设备重启，所有配置均恢复出厂设置

【实际结果】

2、设备重启，但是所有配置均为重启之前的配置

Related issues:

Related to Figure - 开发 Dev # 110642: 【MK】【008】【BOOT】【TC-R... 解决 Resolved 2022-07-25

History

#1 - 2022-11-14 19:41 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#2 - 2022-11-15 16:29 - CD TEST-方永红

- Description updated

#3 - 2022-11-15 19:01 - CD FW-廖涛

- Category changed from CD-FW to BSP

- Assignee changed from CD FW-廖涛 to CD BSP-唐金泽

通过对本地编译版本（仅编译 QSSI）及 DB 包分析：

恢复出厂设置操作路径：系统 -> 重置选项 -> 清除所有数据（恢复出厂设置）

两个版本都会打印如下日志：

    1. adb logcat | egrep "MasterClear|RecoverySystem"
11-15 13:12:58.703  1497  1497 W MasterClear: !!! FACTORY RESET !!!

11-15 13:12:58.703  1497  1497 I MasterClear: NOT wiping external storage; starting thread Reboot

11-15 13:12:58.704  1497  4422 I MasterClear: Calling RecoverySystem.rebootWipeUserData(context, shutdown=false, reason=MainClearConfirm, forceWipe=false,

wipeEsims=false)

11-15 13:12:58.710  1497  4422 I RecoverySystem: Skip removing eUICC invisible profiles as it is not provisioned.

11-15 13:12:59.741  1497  4422 I RecoverySystemService: uncrypt setup bcb successfully finished.

其中参数及打印日志一样，所以转由 BSP 分析看看是否为底层原因导致。

#4 - 2022-11-16 19:59 - CDTS-TEST 周婷

- Due date set to 2022-11-21

- Target version set to VX1_MCE_FSE_V4.0_20221128

#5 - 2022-11-17 17:18 - CD BSP-唐金泽

- Root cause set to 恢复出厂设置，依赖recovery模式。

根据需求已经将recovery禁用。

已经将情况，反馈到浩云，需要PM与客户确认，取消禁用recovery功能后恢复。

#6 - 2022-11-18 17:27 - CD BSP-唐金泽

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-唐金泽 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

recovery分区恢复；

详见关联DEV任务具体信息。

#7 - 2022-11-21 11:33 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211190335

11.21

经验证，当前版本可以正常恢复出厂设置

#8 - 2022-11-21 11:33 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

COM22USBSerialPortCOM22_20221114_160923.txt 227 KB 2022-11-14 CD TEST-方永红
